Bug 165725 - multiple md devices do not start on boot
multiple md devices do not start on boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 11:54 EDT by Dan Williams
Modified: 2014-03-16 22:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for rc.sysinit to create device nodes for raid devices being activated (415 bytes, patch)
2005-08-11 12:10 EDT, Peter Jones
no flags Details | Diff

  None (edit)
Description Dan Williams 2005-08-11 11:54:00 EDT
I have two raid 1 arrays (md0 and md1), on top of those 2 is one raid 0 array
(md2) to achieve raid 1+0 over my 4 disks.

Arrays should look like:
---------------------------------------------
Personalities : [raid0] [raid1]
md2 : active raid0 md0[0] md1[1]
      35551488 blocks 64k chunks

md1 : active raid1 sdd1[0] sde1[1]
      17775808 blocks [2/2] [UU]

md0 : active raid1 sdb1[0] sdc1[1]
      17775808 blocks [2/2] [UU]


On boot, md1 does not start correctly, which means md2 can't start either. 
pjones looked at this and says:

(11:25:23) pjones: FC4 at least we do mdadm, but the device node stuff is only
happening for md0 _before_ you do mdadm -A -s,
(11:26:31) pjones: then mdadm -A -s finds 3 array lines, starts the first one
(becuase md0 is there), tries to start md1 but fails before there's no device
node, continues.
(11:26:37) pjones: I'm not quite sure how md1 manages to be created.
Comment 1 Peter Jones 2005-08-11 12:10:45 EDT
Created attachment 117653 [details]
patch for rc.sysinit to create device nodes for raid devices being activated

So I'm thinking we want to get rid of raidautorun altogether (since all it's
really doing now is mknod and then the ioctl, and I can't see how the ioctl
will do anything useful except maybe cause udev to do something).

Either way, we need to initialize more than just md0.  Attached is a patch.
Comment 2 Bill Nottingham 2005-08-19 02:55:44 EDT
mdadm won't start devices that there aren't nodes for? How broken. :)
Comment 3 Bill Nottingham 2005-10-03 17:29:31 EDT
So, with this patch, what happens if you have a /dev/md0 that's not in
/etc/mdadm.conf?
Comment 4 David Lawrence 2006-04-18 16:33:55 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 5 Pierre Ossman 2007-01-20 11:53:43 EST
Any activity on this? It's a rather critical bug when using fedora as a file server.
Comment 6 Pierre Ossman 2007-03-26 15:52:26 EDT
Hello? Anyone alive?
Comment 7 Matthew Miller 2007-04-10 15:38:21 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 8 Pierre Ossman 2007-04-11 01:34:34 EDT
It does. Reopening and changing version.
Comment 9 Pierre Ossman 2007-07-03 07:14:04 EDT
Ping
Comment 10 Bug Zapper 2008-04-03 12:17:07 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:13:44 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.